CC      =       cc
FC      =       f77
SDIR    =       .
ARCH    =       PMAX
OBJS    =	dqs_ckpt.o dqs.o fdqs.o

all:    	dqs_ckpt.a dqs fdqs

dqs_ckpt.a:	dqs_ckpt.o
		rm -f dqs_ckpt.a 
		ar rv dqs_ckpt.a dqs_ckpt.o dqs_ckpt.o
		ranlib dqs_ckpt.a

dqs:   		$(OBJS)
		$(CC) $(CFLAGS) -o dqs dqs.o dqs_ckpt.a

fdqs:  		$(OBJS)
		$(FC) $(CFLAGS) -o fdqs fdqs.o dqs_ckpt.a

clean:
		rm -f $(OBJS) dqs fdqs dqs_ckpt.a *.o *~ *[0-9]
		rm -f DQS.CKPT DQS.OUT

dqs_ckpt.o:	$(SDIR)/dqs_ckpt.c
		$(CC) $(CFLAGS) -c $(SDIR)/dqs_ckpt.c

dqs.o: 		$(SDIR)/dqs.c
		$(CC) $(CFLAGS) -c $(SDIR)/dqs.c

fdqs.o:		$(SDIR)/fdqs.f
		$(FC) -c $(SDIR)/fdqs.f
